# 2024 Annual Report: SIG Contributor Experience

## Current initiatives and Project Health

1. What work did the SIG do this year that should be highlighted?

- Leadership Change – Onboarding @mfahlandt as new ContribEx chair
- Introduced [New Contributor Orientation Sessions](https://www.kubernetes.dev/docs/orientation/)
- Starting bi-weekly SIG ContribEx meetings in the APAC timezone (Alternate Wednesdays at 7:30 AM UTC)
- GitHub Administration - Moved all kubernetes GH orgs under Kubernetes Enterprise account
- Helping conduct Kubernetes Steering Committee Elections for 2024.
- Organized the following events:
  - [Kubernetes Contributor Summit, EU 2024](https://www.kubernetes.dev/events/2024/kcseu/)
  - [Kubernetes Contributor Summit, NA 2024](https://www.kubernetes.dev/events/2024/kcsna/)
  - [Maintainer Summit, India 2024](https://events.linuxfoundation.org/archive/2024/kubecon-cloudnativecon-india/program/maintainer-summit/) - contribex-comms team members helped with Kubernetes side of comms for the event.
- LWKD: 47 issues during 2024, a team of 7 folks contributing - 2 are new contributors (@satyampsoni and @priyaaakansha) from year 2024.
- ContribEx Comms Metrics
  - Publishing of 6 SIG Spotlight Blogs ([SIG Release](https://www.kubernetes.dev/blog/2024/01/15/sig-release-spotlight-2023/), [SIG CloudProvider](https://www.kubernetes.dev/blog/2024/03/01/sig-cloud-provider-spotlight-2024/), [SIG Architecture code](https://www.kubernetes.dev/blog/2024/04/11/sig-architecture-code-spotlight-2024/), [SIG Node](https://www.kubernetes.dev/blog/2024/06/20/sig-node-spotlight-2024/), [SIG API Machinery](https://www.kubernetes.dev/blog/2024/08/07/sig-api-machinery-spotlight-2024/), [SIG Scheduling](https://www.kubernetes.dev/blog/2024/09/24/sig-scheduling-spotlight-2024/), 1 WG Spotlight ([CNCF Deaf and hard of hearing WG ](https://www.kubernetes.dev/blog/2024/09/30/cncf-deaf-and-hard-of-hearing-working-group-spotlight/), 1 additional spotlight ([Upstream training in Japan](https://www.kubernetes.dev/blog/2024/10/28/k8s-upstream-training-japan-spotlight/))
  - Taking ownership of kubernetesio X account at 304005 Users and grew it to 309938 Followers with 64 tweets
  - Taking ownership of Kubernetes LinkedIn Account and grew followers by 6689 starting with 2000 with 118 posts
  - k8sContributors X account growth 2336 Follower and 181 Tweets 
  - start of Bluesky accounts for [Contributors](https://web-cdn.bsky.app/profile/kubernetes.dev) and [EndUsers ](https://web-cdn.bsky.app/profile/kubernetes.io)
- Revamped the mentoring subproject by improving process and documentation. Thanks to Sylvester.


1. Are there any areas and/or subprojects that your group needs help with (e.g. fewer than 2 active OWNERS)?

We have a few areas that need contributors:
- [Slack Automation](https://github.com/kubernetes-sigs/slack-infra/)
- [Elekto](https://github.com/elekto-io/elekto)
  - [Help Wanted Issues](https://github.com/elekto-io/elekto/issues?q=is%3Aissue%20state%3Aopen%20label%3A%22help%20wanted%22)
- [Contributor Site](https://github.com/kubernetes/contributor-site/)
- [Mentoring Programs](https://github.com/kubernetes/community/tree/master/mentoring)

1. Did you have community-wide updates in 2024 (e.g. KubeCon talks)?

Yes, we had presentations at 3 KubeCons, recordings and sched links to which are below.

| Event                      | Sched                          | Recording                                           |
| -------------------------- | ------------------------------ | --------------------------------------------------- |
| KubeCon Europe 2024        | [link](https://sched.co/1Yhgm) | [link](https://www.youtube.com/watch?v=hdUgGBWUtLo) |
| KubeCon North America 2024 | [link](https://sched.co/1hoy3) | [link](https://www.youtube.com/watch?v=qt9fYGpSfNQ) |
| KubeCon India 2024         | [link](https://sched.co/1mpDm) | [link](https://www.youtube.com/watch?v=nlL9xppFLbo) |

4. KEP work in 2024 (v1.30, v1.31, v1.32):

None.

## [Subprojects](https://git.k8s.io/community/sig-contributor-experience#subprojects)


**Continuing:**
  - community
  - community-management
  - contributor-comms
  - contributors-documentation
  - devstats
  - elections
  - events
  - github-management
  - mentoring
  - sigs-github-actions
  - slack-infra

## [Working groups](https://git.k8s.io/community/sig-contributor-experience#working-groups)

None

## Operational

Operational tasks in [sig-governance.md]:
- [x] [README.md] reviewed for accuracy and updated if needed
- [x] [CONTRIBUTING.md] reviewed for accuracy and updated if needed
- [x] Other contributing docs (e.g. in devel dir or contributor guide) reviewed for accuracy and updated if needed
- [x] Subprojects list and linked OWNERS files in [sigs.yaml] reviewed for accuracy and updated if needed
- [x] SIG leaders (chairs, tech leads, and subproject leads) in [sigs.yaml] are accurate and active, and updated if needed
- [x] Meeting notes and recordings for 2024 are linked from [README.md] and updated/uploaded if needed


[CONTRIBUTING.md]: https://git.k8s.io/community/sig-contributor-experience/CONTRIBUTING.md
[sig-governance.md]: https://git.k8s.io/community/committee-steering/governance/sig-governance.md
[README.md]: https://git.k8s.io/community/sig-contributor-experience/README.md
[sigs.yaml]: https://git.k8s.io/community/sigs.yaml
[devel]: https://git.k8s.io/community/contributors/devel/README.md
